* [gentoo-commits] repo/gentoo:master commit in: x11-wm/lumina/files/, x11-wm/lumina/
@ 2017-07-27 8:08 Lars Wendler
0 siblings, 0 replies; 4+ messages in thread
From: Lars Wendler @ 2017-07-27 8:08 UTC (permalink / raw
To: gentoo-commits
commit: e149e15569d118b6726b545bfba07cf3177af626
Author: charIes17 <charles17 <AT> arcor <DOT> de>
AuthorDate: Sat Jul 22 11:05:14 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 08:08:04 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e149e155
x11-wm/lumina: Move stuff from eqmake5 to patch for upstream
Upstream has a configuration file src-qt5/OS-detect.pri used
for distribution specific settings.
The idea of this PR is to move as much as possible from
the ebuild to a patch for that upstream config file.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/5167
x11-wm/lumina/files/1.3.0-OS-detect.patch | 21 ++++++++++++---------
x11-wm/lumina/lumina-1.3.0_p1.ebuild | 5 ++---
x11-wm/lumina/lumina-9999.ebuild | 6 ++----
3 files changed, 16 insertions(+), 16 deletions(-)
diff --git a/x11-wm/lumina/files/1.3.0-OS-detect.patch b/x11-wm/lumina/files/1.3.0-OS-detect.patch
index e1b71b2a789..48a2076f3aa 100644
--- a/x11-wm/lumina/files/1.3.0-OS-detect.patch
+++ b/x11-wm/lumina/files/1.3.0-OS-detect.patch
@@ -1,11 +1,14 @@
--- ./src-qt5/OS-detect.pri
+++ ./src-qt5/OS-detect.pri
-@@ -94,7 +94,7 @@
- isEmpty(L_SHAREDIR){ L_SHAREDIR = $${PREFIX}/share }
- isEmpty(L_INCLUDEDIR){ L_INCLUDEDIR = $${PREFIX}/include }
- isEmpty(L_SESSDIR){ L_SESSDIR = $${L_SHAREDIR}/xsessions }
-- isEmpty(L_MANDIR){ L_MANDIR = $${PREFIX}/man }
-+ isEmpty(L_MANDIR){ L_MANDIR = $${PREFIX}/share/man }
- isEmpty(LRELEASE){ LRELEASE = $$[QT_INSTALL_BINS]/lrelease }
- isEmpty(MAN_ZIP){ MAN_ZIP = "gzip -c" }
- !exists(LRELEASE){ NO_I18N=true } #translations unavailable
+@@ -76,6 +76,11 @@
+ equals(LINUX_DISTRO,"Fedora"){
+ isEmpty(L_ETCDIR){ L_ETCDIR=/etc }
+ }
++ equals(LINUX_DISTRO,"Gentoo"){
++ isEmpty(L_BINDIR){ L_BINDIR = $${PREFIX}/bin }
++ isEmpty(L_ETCDIR){ L_ETCDIR = $${PREFIX}/../etc }
++ isEmpty(L_MANDIR){ L_MANDIR = $${PREFIX}/share/man }
++ }
+ }else{
+ OS="Unknown";
+ }
diff --git a/x11-wm/lumina/lumina-1.3.0_p1.ebuild b/x11-wm/lumina/lumina-1.3.0_p1.ebuild
index deae92b2500..794daf6eea8 100644
--- a/x11-wm/lumina/lumina-1.3.0_p1.ebuild
+++ b/x11-wm/lumina/lumina-1.3.0_p1.ebuild
@@ -57,9 +57,8 @@ src_prepare(){
}
src_configure(){
- eqmake5 PREFIX="${EPREFIX}/usr" L_BINDIR="${EPREFIX}/usr/bin" \
- L_ETCDIR="${EPREFIX}/etc" L_LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
- LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
+ eqmake5 PREFIX="${EPREFIX}/usr" LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" \
+ DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
}
src_install(){
diff --git a/x11-wm/lumina/lumina-9999.ebuild b/x11-wm/lumina/lumina-9999.ebuild
index 63c5176b1f2..11c8d155760 100644
--- a/x11-wm/lumina/lumina-9999.ebuild
+++ b/x11-wm/lumina/lumina-9999.ebuild
@@ -44,7 +44,6 @@ S="${WORKDIR}/${P/_/-}"
PATCHES=(
"${FILESDIR}/1.2.0-desktop-files.patch"
- "${FILESDIR}/1.3.0-OS-detect.patch"
)
src_prepare(){
@@ -57,9 +56,8 @@ src_prepare(){
}
src_configure(){
- eqmake5 PREFIX="${EPREFIX}/usr" L_BINDIR="${EPREFIX}/usr/bin" \
- L_ETCDIR="${EPREFIX}/etc" L_LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
- LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
+ eqmake5 PREFIX="${EPREFIX}/usr" LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" \
+ DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
}
src_install(){
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/lumina/files/, x11-wm/lumina/
@ 2017-11-25 12:57 Andrey Grozin
0 siblings, 0 replies; 4+ messages in thread
From: Andrey Grozin @ 2017-11-25 12:57 UTC (permalink / raw
To: gentoo-commits
commit: 4a97d1d737dfc1b04b3991addcce97ba503ee3f7
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 25 12:56:51 2017 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sat Nov 25 12:56:51 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a97d1d7
x11-wm/lumina: fix building with USE=desktop-utils
Closes: https://bugs.gentoo.org/638756
Package-Manager: Portage-2.3.14, Repoman-2.3.6
x11-wm/lumina/files/1.4.0-poppler.patch | 10 ++++
x11-wm/lumina/lumina-1.4.0-r2.ebuild | 98 +++++++++++++++++++++++++++++++++
2 files changed, 108 insertions(+)
diff --git a/x11-wm/lumina/files/1.4.0-poppler.patch b/x11-wm/lumina/files/1.4.0-poppler.patch
new file mode 100644
index 00000000000..8b9399aed9c
--- /dev/null
+++ b/x11-wm/lumina/files/1.4.0-poppler.patch
@@ -0,0 +1,10 @@
+diff -r -U2 lumina-1.4.0.orig/src-qt5/desktop-utils/lumina-pdf/lumina-pdf.pro lumina-1.4.0/src-qt5/desktop-utils/lumina-pdf/lumina-pdf.pro
+--- lumina-1.4.0.orig/src-qt5/desktop-utils/lumina-pdf/lumina-pdf.pro 2017-11-21 23:21:47.000000000 +0700
++++ lumina-1.4.0/src-qt5/desktop-utils/lumina-pdf/lumina-pdf.pro 2017-11-25 19:17:01.771778161 +0700
+@@ -26,5 +26,5 @@
+
+ LIBS += -lpoppler-qt5
+-INCLUDEPATH+= $${L_INCLUDEDIR}/poppler/qt5
++INCLUDEPATH+= /usr/include/poppler/qt5
+
+ TRANSLATIONS = i18n/l-pdf_af.ts \
diff --git a/x11-wm/lumina/lumina-1.4.0-r2.ebuild b/x11-wm/lumina/lumina-1.4.0-r2.ebuild
new file mode 100644
index 00000000000..4bab7adf10b
--- /dev/null
+++ b/x11-wm/lumina/lumina-1.4.0-r2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PLOCALES="af ar az bg bn bs ca cs cy da de el en_AU en_GB en_ZA es et eu fa fi fr fr_CA fur gl he hi hr hu id is it ja ka ko lt lv mk mn ms mt nb ne nl pa pl pt pt_BR ro ru sa sk sl sr sv sw ta tg th tr uk ur uz vi zh_CN zh_HK zh_TW zu"
+
+inherit qmake-utils l10n xdg-utils gnome2-utils
+DESCRIPTION="Lumina desktop environment"
+HOMEPAGE="https://lumina-desktop.org/"
+SRC_URI="https://github.com/trueos/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="desktop-utils"
+
+COMMON_DEPEND="dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtsvg:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtgui:5
+ dev-qt/qtdeclarative:5
+ x11-libs/libxcb:0
+ x11-libs/xcb-util
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm
+ desktop-utils? ( app-text/poppler[qt5] )"
+
+DEPEND="$COMMON_DEPEND
+ dev-qt/linguist-tools:5"
+
+RDEPEND="$COMMON_DEPEND
+ sys-fs/inotify-tools
+ x11-misc/numlockx
+ x11-wm/fluxbox
+ || ( x11-apps/xbacklight
+ sys-power/acpilight )
+ media-sound/alsa-utils
+ sys-power/acpi
+ app-admin/sysstat"
+
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.0-desktop-files.patch"
+ "${FILESDIR}/1.3.0-OS-detect.patch"
+ "${FILESDIR}/1.4.0-poppler.patch"
+)
+
+DOCS=( README.md )
+
+src_prepare(){
+ default
+
+ if use !desktop-utils ; then
+ rm -rf src-qt5/desktop-utils || die
+ sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ fi
+
+ l10n_find_plocales_changes "${S}/src-qt5/core/${PN}-desktop/i18n" "${PN}-desktop_" '.ts'
+}
+
+src_configure(){
+ eqmake5 PREFIX="${EPREFIX}/usr" LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" \
+ DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
+}
+
+src_install(){
+ # A hack to avoid sandbox violation and install liblthemeengine*.so to the correct places
+ emake install INSTALL_ROOT="${D}"
+ rm "${ED%/}"/${PN}-* "${ED%/}"/start-${PN}-desktop "${ED%/}"/liblthemeengine*.so "${ED%/}"/lthemeengine || die
+ mv "${D}/${D}/etc" "${D}/etc" || die
+ mv "${D}/${D}/usr/bin" "${D}/usr/bin" || die
+ mv "${D}/${D}/usr/share" "${D}/usr/share" || die
+ rm -rf "${D}/var" || die
+ mv "${ED%/}"/etc/luminaDesktop.conf{.dist,} || die
+ einstalldocs
+
+ remove_locale() {
+ rm -f "${D}"/usr/share/${PN}-desktop/i18n/l*_${1}.qm
+ }
+ l10n_for_each_disabled_locale_do remove_locale
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/lumina/files/, x11-wm/lumina/
@ 2019-07-01 15:57 Andrey Grozin
0 siblings, 0 replies; 4+ messages in thread
From: Andrey Grozin @ 2019-07-01 15:57 UTC (permalink / raw
To: gentoo-commits
commit: 41db5a91e80068c61fccea9669aeeb0623c2b8ee
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 1 15:56:49 2019 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Mon Jul 1 15:56:49 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41db5a91
x11-wm/lumina: fix dependencies, install icons and session file
Closes: https://bugs.gentoo.org/show_bug.cgi?id=597324
Closes: https://bugs.gentoo.org/show_bug.cgi?id=645380
Closes: https://bugs.gentoo.org/show_bug.cgi?id=688880
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>
x11-wm/lumina/files/lumina-session | 90 +++++++++++++++++++++++++++++++++
x11-wm/lumina/lumina-1.5.0-r1.ebuild | 96 ++++++++++++++++++++++++++++++++++++
2 files changed, 186 insertions(+)
diff --git a/x11-wm/lumina/files/lumina-session b/x11-wm/lumina/files/lumina-session
new file mode 100644
index 00000000000..9fb7a418b2a
--- /dev/null
+++ b/x11-wm/lumina/files/lumina-session
@@ -0,0 +1,90 @@
+#!/bin/sh
+# lumina Xsession starter, based on Xsession shipped by x11-apps/xinit-1.0.5-r1
+
+# redirect errors to a file in user's home directory if we can
+for errfile in "$HOME/.fluxbox-errors" "${TMPDIR-/tmp}/fluxbox-$USER" "/tmp/fluxbox-$USER"
+do
+ if ( cp /dev/null "$errfile" 2> /dev/null )
+ then
+ chmod 600 "$errfile"
+ exec > "$errfile" 2>&1
+ break
+ fi
+done
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+userxkbmap=$HOME/.Xkbmap
+
+sysresources=/etc/X11/Xresources
+sysmodmap=/etc/X11/Xmodmap
+sysxkbmap=/etc/X11/Xkbmap
+
+rh6sysresources=/etc/X11/xinit/Xresources
+rh6sysmodmap=/etc/X11/xinit/Xmodmap
+
+
+# merge in defaults
+if [ -f "$rh6sysresources" ]; then
+ xrdb -merge "$rh6sysresources"
+fi
+
+if [ -f "$sysresources" ]; then
+ xrdb -merge "$sysresources"
+fi
+
+if [ -f "$userresources" ]; then
+ xrdb -merge "$userresources"
+fi
+
+# merge in keymaps
+if [ -f "$sysxkbmap" ]; then
+ setxkbmap `cat "$sysxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+if [ -f "$userxkbmap" ]; then
+ setxkbmap `cat "$userxkbmap"`
+ XKB_IN_USE=yes
+fi
+
+#
+# Eeek, this seems like too much magic here
+#
+if [ -z "$XKB_IN_USE" -a ! -L /etc/X11/X ]; then
+ if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
+ xkbsymbols=`sed -n -e 's/^[ ]*XkbSymbols[ ]*"\(.*\)".*$/\1/p' /etc/X11/XF86Config /etc/X11/xorg.conf`
+ if [ -n "$xkbsymbols" ]; then
+ setxkbmap -symbols "$xkbsymbols"
+ XKB_IN_USE=yes
+ fi
+ fi
+fi
+
+# xkb and xmodmap don't play nice together
+if [ -z "$XKB_IN_USE" ]; then
+ if [ -f "$rh6sysmodmap" ]; then
+ xmodmap "$rh6sysmodmap"
+ fi
+
+ if [ -f "$sysmodmap" ]; then
+ xmodmap "$sysmodmap"
+ fi
+
+ if [ -f "$usermodmap" ]; then
+ xmodmap "$usermodmap"
+ fi
+fi
+
+unset XKB_IN_USE
+
+# run all system xinitrc shell scripts.
+if [ -d /etc/X11/xinit/xinitrc.d ]; then
+ for i in /etc/X11/xinit/xinitrc.d/* ; do
+ if [ -x "$i" ]; then
+ . "$i"
+ fi
+ done
+fi
+
+exec /usr/bin/start-lumina-desktop
diff --git a/x11-wm/lumina/lumina-1.5.0-r1.ebuild b/x11-wm/lumina/lumina-1.5.0-r1.ebuild
new file mode 100644
index 00000000000..69a2ededf21
--- /dev/null
+++ b/x11-wm/lumina/lumina-1.5.0-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PLOCALES="af ar az bg bn bs ca cs cy da de el en_AU en_GB en_ZA es et eu fa fi fr fr_CA fur gl he hi hr hu id is it ja ka ko lt lv mk mn ms mt nb ne nl pa pl pt pt_BR ro ru sa sk sl sr sv sw ta tg th tr uk ur uz vi zh_CN zh_HK zh_TW zu"
+
+inherit qmake-utils l10n xdg-utils
+DESCRIPTION="Lumina desktop environment"
+HOMEPAGE="https://lumina-desktop.org/"
+SRC_URI="https://github.com/trueos/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="desktop-utils"
+
+COMMON_DEPEND="dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtsvg:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtgui:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtdbus:5
+ x11-libs/libxcb:0
+ x11-libs/xcb-util
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm
+ desktop-utils? ( app-text/poppler[qt5] )"
+
+DEPEND="$COMMON_DEPEND
+ dev-qt/linguist-tools:5"
+
+RDEPEND="$COMMON_DEPEND
+ sys-fs/inotify-tools
+ x11-misc/numlockx
+ x11-wm/fluxbox
+ || ( x11-apps/xbacklight
+ sys-power/acpilight )
+ media-sound/alsa-utils
+ sys-power/acpi
+ app-admin/sysstat"
+
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.0-desktop-files.patch"
+)
+
+DOCS=( README.md )
+
+src_prepare(){
+ default
+
+ if use !desktop-utils ; then
+ rm -rf src-qt5/desktop-utils || die
+ sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ fi
+
+ l10n_find_plocales_changes "${S}/src-qt5/core/${PN}-desktop/i18n" "${PN}-desktop_" '.ts'
+}
+
+src_configure(){
+ eqmake5 PREFIX="${EPREFIX}/usr" LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" \
+ CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
+}
+
+src_install(){
+ emake install INSTALL_ROOT="${D}"
+ einstalldocs
+ mkdir -p "${D}"/usr/share/icons/hicolor/64x64/apps || die "cannot create the icons dir"
+ mv "${D}"/usr/share/icons/hicolor/scalable/apps/*.png "${D}"/usr/share/icons/hicolor/64x64/apps || die "cannot mv png icons"
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}/lumina-session" lumina ||die
+
+ remove_locale() {
+ rm -f "${ED%/}"/usr/share/${PN}-desktop/i18n/l*_${1}.qm
+
+ }
+ l10n_for_each_disabled_locale_do remove_locale
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/lumina/files/, x11-wm/lumina/
@ 2024-01-08 14:33 Andrey Grozin
0 siblings, 0 replies; 4+ messages in thread
From: Andrey Grozin @ 2024-01-08 14:33 UTC (permalink / raw
To: gentoo-commits
commit: 264568e576f0aedd6942d274f0f016e730d9fab0
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 8 14:33:30 2024 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Mon Jan 8 14:33:30 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=264568e5
x11-wm/lumina: remove 9999 - broken anyway
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>
x11-wm/lumina/files/1.2.0-desktop-files.patch | 33 -------------
x11-wm/lumina/lumina-9999.ebuild | 71 ---------------------------
2 files changed, 104 deletions(-)
diff --git a/x11-wm/lumina/files/1.2.0-desktop-files.patch b/x11-wm/lumina/files/1.2.0-desktop-files.patch
deleted file mode 100644
index f86c1c49c38f..000000000000
--- a/x11-wm/lumina/files/1.2.0-desktop-files.patch
+++ /dev/null
@@ -1,33 +0,0 @@
---- ./src-qt5/core/lumina-info/lumina-support.desktop
-+++ ./src-qt5/core/lumina-info/lumina-support.desktop
-@@ -2,8 +2,7 @@
- Type=Link
- URL=https://webchat.freenode.net/?channels=%23lumina-desktop
- Icon=Lumina-DE
--Categories=System;
--OnlyShowIn=Lumina;
-+OnlyShowIn=X-Lumina;
- Name=Community Support
- GenericName=Get Desktop Help
- Comment=Ask for desktop support on the community IRC channel
-
---- ./src-qt5/core-utils/lumina-config/lumina-config.desktop
-+++ ./src-qt5/core-utils/lumina-config/lumina-config.desktop
-@@ -7,4 +7,4 @@
- Categories=Settings;
- Name=Desktop Configuration
- Comment=Modify the desktop
--OnlyShowIn=Lumina;
-+OnlyShowIn=X-Lumina;
-
---- ./src-qt5/core/lumina-info/lumina-info.desktop
-+++ ./src-qt5/core/lumina-info/lumina-info.desktop
-@@ -5,7 +5,7 @@
- Type=Application
- StartupNotify=true
- Categories=System;
--OnlyShowIn=Lumina;
-+OnlyShowIn=X-Lumina;
- Name=Desktop Information
- GenericName=Version and Legal Information
- Comment=View information about the Lumina Desktop Environment
diff --git a/x11-wm/lumina/lumina-9999.ebuild b/x11-wm/lumina/lumina-9999.ebuild
deleted file mode 100644
index 8e1fb965a9a2..000000000000
--- a/x11-wm/lumina/lumina-9999.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit git-r3 qmake-utils
-
-DESCRIPTION="Lumina desktop environment"
-HOMEPAGE="https://lumina-desktop.org/"
-EGIT_REPO_URI="https://github.com/trueos/lumina"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS=""
-IUSE="desktop-utils"
-
-DEPEND="
- dev-qt/qtconcurrent:5
- dev-qt/qtcore:5
- dev-qt/qtdeclarative:5
- dev-qt/qtgui:5
- dev-qt/qtmultimedia:5[widgets]
- dev-qt/qtnetwork:5
- dev-qt/qtsvg:5
- dev-qt/qtwidgets:5
- dev-qt/qtx11extras:5
- x11-libs/libxcb:0
- x11-libs/xcb-util
- x11-libs/xcb-util-image
- x11-libs/xcb-util-wm"
-
-RDEPEND="${DEPEND}
- app-admin/sysstat
- media-sound/alsa-utils
- sys-fs/inotify-tools
- sys-power/acpi
- || (
- x11-apps/xbacklight
- sys-power/acpilight
- )
- x11-misc/numlockx
- x11-wm/fluxbox"
-
-BDEPEND="
- dev-qt/linguist-tools:5"
-
-S="${WORKDIR}/${P/_/-}"
-
-PATCHES=(
- "${FILESDIR}/1.2.0-desktop-files.patch"
-)
-
-src_prepare() {
- default
-
- if ! use desktop-utils ; then
- rm -rf src-qt5/desktop-utils || die
- sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
- fi
-}
-
-src_configure() {
- eqmake5 PREFIX="${EPREFIX}/usr" LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" \
- DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
-}
-
-src_install() {
- default
- mv "${ED}"/etc/luminaDesktop.conf{.dist,} || die
- rm "${ED}"/${PN}-* "${ED}"/start-${PN}-desktop || die
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2024-01-08 14:33 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-11-25 12:57 [gentoo-commits] repo/gentoo:master commit in: x11-wm/lumina/files/, x11-wm/lumina/ Andrey Grozin
-- strict thread matches above, loose matches on Subject: below --
2024-01-08 14:33 Andrey Grozin
2019-07-01 15:57 Andrey Grozin
2017-07-27 8:08 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox